%define        majver %(echo %version | cut -d. -f 1-2)

Name:          libevent
Version:       2.0.21
Release:       1mamba
Summary:       An event notification library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://libevent.org
Source:        https://github.com/downloads/libevent/libevent/libevent-%{version}-stable.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libopenssl-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-buildroot

%description
The libevent API provides a mechanism to execute a callback function when a specific event occurs on a file descriptor or after a timeout has been reached.
Furthermore, libevent also support callbacks due to signals or regular timeouts. Libevent is meant to replace the event loop found in event driven network servers. An application just needs to call event_dispatch() and then add or remove events dynamically without having to change the event loop.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{version}

%description devel
The libevent API provides a mechanism to execute a callback function when a specific event occurs on a file descriptor or after a timeout has been reached.
Furthermore, libevent also support callbacks due to signals or regular timeouts. Libevent is meant to replace the event loop found in event driven network servers. An application just needs to call event_dispatch() and then add or remove events dynamically without having to change the event loop.

This package contains static libraries and header files need for development.

%prep
%setup -q -n %{name}-%{version}-stable

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/libevent-%{majver}.so.*
%{_libdir}/libevent_core-%{majver}.so.*
%{_libdir}/libevent_extra-%{majver}.so.*
%{_libdir}/libevent_openssl-%{majver}.so.*
%{_libdir}/libevent_pthreads-%{majver}.so.*

%files devel
%defattr(-,root,root)
%{_bindir}/event_rpcgen.py
%{_includedir}/event.h
%{_includedir}/evdns.h
%{_includedir}/evhttp.h
%{_includedir}/evrpc.h
%{_includedir}/evutil.h
%{_includedir}/event2/*.h
#%{_includedir}/event-config.h
%{_libdir}/libevent.so
%{_libdir}/libevent.la
%{_libdir}/libevent.a
%{_libdir}/libevent_core.so
%{_libdir}/libevent_core.la
%{_libdir}/libevent_core.a
%{_libdir}/libevent_extra.so
%{_libdir}/libevent_extra.la
%{_libdir}/libevent_extra.a
%{_libdir}/libevent_openssl.so
%{_libdir}/libevent_openssl.la
%{_libdir}/libevent_openssl.a
%{_libdir}/libevent_pthreads.so
%{_libdir}/libevent_pthreads.la
%{_libdir}/libevent_pthreads.a
%{_libdir}/pkgconfig/libevent.pc
%{_libdir}/pkgconfig/libevent_openssl.pc
%{_libdir}/pkgconfig/libevent_pthreads.pc

%changelog
* Sat Dec 01 2012 Automatic Build System <autodist@mambasoft.it> 2.0.21-1mamba
- update to 2.0.21

* Sun Apr 03 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.10-1mamba
- update to 2.0.10

* Thu Jun 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.4-1mamba
- update to 1.4.4

* Thu Dec 01 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1a-1qilnx
- update to version 1.1a by autospec
- move static library to devel package

* Fri Apr 01 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.0b-1qilnx
- package created by autospec
